StatisticDescriptor (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode, interface: StatisticDescriptor

Package org.apache.geode

# Interface StatisticDescriptor

All Superinterfaces:
  `Comparable<StatisticDescriptor>`

public interface StatisticDescriptor extends Comparable<StatisticDescriptor>
Describes an individual statistic whose value is updated by an application and may be archived by GemFire. These descriptions are gathered together in a `StatisticsType`.

To get an instance of this interface use an instance of `StatisticsFactory`.

`StatisticDescriptor`s are naturally ordered by their name.

Since:
  GemFire 3.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns a description of this statistic
  `int`
  `getId()`
  Returns the id of this statistic in a `statistics type`.
  `String`
  `getName()`
  Returns the name of this statistic
  `Class<?>`
  `getType()`
  Returns the type of this statistic
  `String`
  `getUnit()`
  Returns the unit in which this statistic is measured
  `boolean`
  `isCounter()`
  Returns true if this statistic is a counter; false if its a gauge.
  `boolean`
  `isLargerBetter()`
  Returns true if a larger statistic value indicates better performance.

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

- ## Method Details

  - ### getId

    int getId()
    Returns the id of this statistic in a `statistics type`. The id is initialized when its statistics type is created.
    Returns:
      the id of this statistic
    Throws:
      `IllegalStateException` - The id has not been initialized yet

  - ### getName

    String getName()
    Returns the name of this statistic
    Returns:
      the name of this statistic

  - ### getDescription

    String getDescription()
    Returns a description of this statistic
    Returns:
      a description of this statistic

  - ### getType

    Class<?> getType()
    Returns the type of this statistic
    Returns:
      the type of this statistic

  - ### isCounter

    boolean isCounter()
    Returns true if this statistic is a counter; false if its a gauge. Counter statistics have values that always increase. Gauge statistics have unconstrained values.
    Returns:
      whether this statistic is a counter

  - ### isLargerBetter

    boolean isLargerBetter()
    Returns true if a larger statistic value indicates better performance.
    Returns:
      whether a larger statistic value indicates better performance

  - ### getUnit

    String getUnit()
    Returns the unit in which this statistic is measured
    Returns:
      the unit in which this statistic is measured